package it.sw.pa.comune.artegna.domain;

import java.util.Random;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicLong;

public class ModelloLiberatoriaTestSamples {

    private static final Random random = new Random();
    private static final AtomicLong longCount = new AtomicLong(random.nextInt() + (2L * Integer.MAX_VALUE));

    public static ModelloLiberatoria getModelloLiberatoriaSample1() {
        return new ModelloLiberatoria().id(1L).nome("nome1").testo("testo1");
    }

    public static ModelloLiberatoria getModelloLiberatoriaSample2() {
        return new ModelloLiberatoria().id(2L).nome("nome2").testo("testo2");
    }

    public static ModelloLiberatoria getModelloLiberatoriaRandomSampleGenerator() {
        return new ModelloLiberatoria()
            .id(longCount.incrementAndGet())
            .nome(UUID.randomUUID().toString())
            .testo(UUID.randomUUID().toString());
    }
}
